## NAME

r.line - Creates a new binary GRASS vector (v.digit) file by extracting linear features from a thinned raster file.
(GRASS Raster Program)

## SYNOPSIS

r.line
r.line help
r.line input=name output=name [type=name]

## DESCRIPTION

r.line scans the named raster map layer (input=name) and extracts thinned linear features into the named vector file (output=name).

## OPTIONS

The user can run this program either non-interactively or interactively. The program will be run non-interactively if the user specifies program arguments on the command line, using the form:

  r.line input=name output=name [type=name]

If the user specifies input raster and output vector map names on the command line, any other parameter values left unspecified on the command line will be set to their default values (see below). Alternately, the user can simply type r.line on the command line, without program arguments. In this case, the user will be prompted for parameter values using the standard GRASS parser interface.

### Parameters:

input=name
  Name of existing raster file to be used as input.
output=name
  Name of new vector file to be output.
type=name
  Line type of the extracted vectors; either line or area. Specifying line will type extracted vectors as linear edges. Specifying area will type extracted vectors as area edges.
  Options: line or area
  Default: type=line

r.line assumes that the input map has been thinned using r.thin.

## NOTES

r.line extracts vectors (aka, "arcs") from a raster file. These arcs may represent linear features (like roads or streams), or may represent area edge features (like political boundaries, or soil mapping units). The attribute type option allows the user to establish the use of either linear or area edge attributes for all of the extracted vectors.

r.poly may be used to extract vectors that represent area features (like soil mapping units, elevation ranges, etc.) from a raster file.

The user must run v.support on the resultant vector (v.digit) files to build the dig_plus information.

r.thin and r.line may create excessive nodes at every junction, and may create small spurs or "dangling lines" during the thinning and vectorization process. These excessive nodes and spurs may be removed using v.trim.

## BUGS

The input raster file MUST be thinned by r.thin; if not, r.line may crash.

## SEE ALSO

r.poly
r.thin
v.digit
v.support
v.trim
parser

## AUTHOR

Mike Baba
DBA Systems, Inc.
10560 Arrowhead Drive
Fairfax, Virginia 22030

Last changed: $Date: 2002/01/25 05:45:34 $